<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Package index • qstnr</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Package index"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">qstnr</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9000</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/qstnr/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-index">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Package index</h1>
    </div>

    <div class="section level2">
      <h2 id="survey-preparation">Survey preparation<a class="anchor" aria-label="anchor" href="#survey-preparation"></a></h2>

      <div class="section-desc"><p>Functions to process raw survey configurations.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="read_survey_config.html">read_survey_config()</a></code>

        </dt>
        <dd>Read in survey config</dd>
      </dl><dl><dt>

          <code><a href="htmlize_survey_config.html">htmlize_survey_config()</a></code>

        </dt>
        <dd>Convert survey config from Markdown to HTML</dd>
      </dl></div><div class="section level2">
      <h2 id="questionnaire-generation">Questionnaire generation<a class="anchor" aria-label="anchor" href="#questionnaire-generation"></a></h2>

      <div class="section-desc"><p>Functions to generate different representations of a questionnaire from a combined survey configuration.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="gen_qstnr.html">gen_qstnr()</a></code>

        </dt>
        <dd>Generate questionnaire tibble</dd>
      </dl><dl><dt>

          <code><a href="unnest_qstnr.html">unnest_qstnr()</a></code>

        </dt>
        <dd>Unnest questionnaire tibble</dd>
      </dl><dl><dt>

          <code><a href="unnest_qstnr_vals.html">unnest_qstnr_vals()</a></code>

        </dt>
        <dd>Unnest questionnaire tibble's item values</dd>
      </dl><dl><dt>

          <code><a href="htmlize_qstnr.html">htmlize_qstnr()</a></code>

        </dt>
        <dd>Convert qstnr columns from Markdown to HTML</dd>
      </dl><dl><dt>

          <code><a href="gen_qstnr_docs.html">gen_qstnr_docs()</a></code>

        </dt>
        <dd>Generate questionnaire docs</dd>
      </dl><dl><dt>

          <code><a href="gen_qmd_qstnr.html">gen_qmd_qstnr()</a></code>

        </dt>
        <dd>Generate Quarto Markdown questionnaire</dd>
      </dl></div><div class="section level2">
      <h2 id="auxiliary">Auxiliary<a class="anchor" aria-label="anchor" href="#auxiliary"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="as_int_vals.html">as_int_vals()</a></code>

        </dt>
        <dd>Convert question values to codes</dd>
      </dl><dl><dt>

          <code><a href="common_val_scale.html">common_val_scale()</a></code>

        </dt>
        <dd>Get common value scale</dd>
      </dl><dl><dt>

          <code><a href="group_title.html">group_title()</a></code>

        </dt>
        <dd>Get survey group title</dd>
      </dl><dl><dt>

          <code><a href="val_set.html">val_set()</a></code>

        </dt>
        <dd>Get value set</dd>
      </dl></div><div class="section level2">
      <h2 id="miscellaneous">Miscellaneous<a class="anchor" aria-label="anchor" href="#miscellaneous"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="funky_config.html">funky_config</a></code>

        </dt>
        <dd>pkgpurl package configuration data</dd>
      </dl></div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

